Supported machines

The UpdateHub support multiple Yocto Project releases and the latest Yocto Project release we offer support for is the 3.1 LTS (dunfell).

If you need to use an Yocto Project release different than the 3.1 LTS (dunfell) release please refer to the respective layers to check for compatibility.

Manufacturer Repository
Freescale https://github.com/UpdateHub/meta-updatehub-freescale.git
RaspberryPi https://github.com/UpdateHub/meta-updatehub-raspberrypi.git
Texas Intruments https://github.com/UpdateHub/meta-updatehub-ti.git

UpdateHub has support for the machines specified in the table below. Remember that it is possible for other configurations to work correctly with UpdateHub, the machines that have been configured and tested are the ones informed here.

Commercial name Machine Layer
Beaglebone Black beaglebone meta-updatehub-ti
Boundary Devices Nitrogen6X nitrogen6x meta-updatehub-freescale
Element14 WaRP i.MX7 Solo imx7s-warp meta-updatehub-freescale
NXP i.MX6 SABRE Automotive Board imx6qdlsabreauto meta-updatehub-freescale
NXP i.MX6 SABRE Platform for Smart Devices imx6qdlsabresd meta-updatehub-freescale
Raspberry Pi 3 Model B and B+ raspberrypi3 meta-updatehub-raspberrypi
Raspberry Pi 4 Model B raspberrypi4 meta-updatehub-raspberrypi
TechNexion PICO i.MX7 imx7d-pico meta-updatehub-freescale
Toradex Apalis iMX6 apalis-imx6 meta-updatehub-freescale
Toradex Colibri iMX6 colibri-imx6 meta-updatehub-freescale
Toradex Colibri iMX7 (with eMMC storage) colibri-imx7-emmc meta-updatehub-freescale
Wandboard Solo/Dual/Quad wandboard meta-updatehub-freescale

The support for the machines in the table above is from Yocto Project 3.1 (Dunfell), but Updatehub has support for the Yocto Project since version 2.1 (Krogoth). In case you are using an older version of the Yocto Project, below you can find the supported versions and the respective machines:

If you have any difficulties or doubts, access the Gitter so we can help you.